@import "@/styles/mixins/breakpoints";
@import "@/styles/colors";

.layout {
  position: relative;
  display: flex;
  flex-direction: column;

  @include breakpoint-sm() {
    align-items: center;
  }

  &_main {
    height: 100%;
    padding: 16px 16px 102px;
    overflow-y: scroll;

    &::-webkit-scrollbar {
      display: none;
      width: 5px;
    }

    &::-webkit-scrollbar-track {
      box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
    }

    &::-webkit-scrollbar-thumb {
      background-color: $color-slate-800;
      border-radius: 14px;
    }

    @include breakpoint-sm() {
      max-width: 640px;
      min-width: 640px;
    }
  }

  &_nav {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 92px;
    width: 100%;
    background-color: $color-custom-level-1-background;
    -webkit-border-radius: 92px 92px 0 0;
    -moz-border-radius: 92px 92px 0 0;
    border-radius: 92px 92px 0 0;

    @include breakpoint-sm() {
      max-width: 640px;
      min-width: 640px;
      left: calc((100vw - 640px) / 2);
    }
  }
}